/***************************************************************

  BayCom(R)        Packet-Radio fuer IBM PC

  OpenBayCom-Mailbox

  ----------------------------------------------------
  Definitions / Declarations depending on memory model
  ----------------------------------------------------


  Copyright (c)       Florian Radlherr
                      Taubenbergstr. 32
                      D-83627 Warngau

  Alle Rechte vorbehalten / All Rights reserved

 ***************************************************************/

//19980610 OE3DZW altered LOCK_MAX,SEMA_MAX,MAXCONVLIFE
//19980709 DH3MB  moved definition of BCM_MACRO to baycom.h

#ifdef __FLAT__
        #define far
        #define near
        #define interrupt
        #define sound(x)
        #define nosound()
        #define disable()
        #define enable()
        #define delay(x)
        #define _fmemcpy memcpy
        #define biosminuten    ad_minutes()
        #define TASKS          250
        #define MAXTNCPORTS    220
        #define MAXBLKS        400
        #define MAXHELP        60
        #define MAXUSERMAILS   60000U
        #define MAXDIRENTRIES  300000U
        #define MAXTREEENTRIES 6000    // Anzahl der Boards
        #define MAXTREELENGTH  18      // Laenge eines vollen Boardnamen
        #define MAXCONVNAME    5000
#ifdef __LINUX__
        #define MAXFWD         42      // Anzahl der Boxen, zu denen geforwardet wird, nicht aendern!
#else
        #define MAXFWD         30      // Anzahl der Boxen, zu denen geforwardet wird, nicht aendern!
#endif
        #define MAXDEST        1000    // Maximum number of destinations
        #define MAXDESTLEN     MAXDEST*HADRESSLEN    // Groesse des Arrays fuer die Zieladressen
        #define FNAMELEN       50     //not more then 50 for BIN header, 120 needed for filesurf
        #define TASKSTACK      32000
        #define LOCK_MAX       200
        #define SEMA_MAX       150

        unsigned ad_minutes(void);
        void coldstart(void);
#endif
